Subject: bug#55539: 28.1; Support for the Kharoṣṭhī Script

From: समीर सिंह Sameer Singh <[email-masked]>
Date: Wed, 8 Jun 2022 18:59:08 +0530

>The convention among those working with it is to use diacritics,
>so I opted for that in the visible name of the script, but for the
>(or rather, a) form without diacritics in file names and code.

> If this is a more correct way, should the others be changed as
> well?

>That is not up to me to decide, but I would not be opposed to
>“Brāhmī” for parallelism.

> Also I noticed that Kharoṣṭhī and Gāndhārī are written in IAST
> but not Saṃskṛta.

>The difference here is that “Sanskrit” is much more part of the
>English language (in dictionaries etc.) than “Kharoṣṭhī” and
>“Brāhmī.”

The issue I had was this naming scheme was inconsistent with the previous
ones, but of course it is your patch you can do as you prefer, I have no
strong inclinations either way.

> since now there is also a misc-lang.el in lisp/leim/quail/ I
> think the Kharoshthi input method should be moved there.

>I had a look. That file is billed as

   >Quail package for inputting Miscellaneous characters

>which is a bit of misnomer, as it only contains input rules for
>the Hanifi Rohingya script. Why did you not give that script its
>own input file, as has been the practice so far?

This is because lisp/leim/quail/misc-lang.el is a recently created file, I
have plans to include more input methods there, such as, Avestan, Gothic,
Shavian, Desert, Imperial Aramaic etc.
>Also because the Kharoṣṭhī rules are quite numerous, I would
>prefer for them to stay in their own file.

I understand.

Thanks.

सोम, 6 जून 2022, 12:15 am को Stefan Baums <[email-masked]> ने लिखा:

> > Great! The Kharoshthi script is finally being included in Emacs!
>
> Thank you. About time, isn’t it?
>
> > Should Kharoshthi be written with diacritics? I know Kharoṣṭhī
> > is more correct way to write it, but other Indic scripts are
> > written without it.
>
> The convention among those working with it is to use diacritics,
> so I opted for that in the visible name of the script, but for the
> (or rather, a) form without diacritics in file names and code.
>
> > If this is a more correct way, should the others be changed as
> > well?
>
> That is not up to me to decide, but I would not be opposed to
> “Brāhmī” for parallelism.
>
> > Also I noticed that Kharoṣṭhī and Gāndhārī are written in IAST
> > but not Saṃskṛta.
>
> The difference here is that “Sanskrit” is much more part of the
> English language (in dictionaries etc.) than “Kharoṣṭhī” and
> “Brāhmī.”
>
> > since now there is also a misc-lang.el in lisp/leim/quail/ I
> > think the Kharoshthi input method should be moved there.
>
> I had a look. That file is billed as
>
>    Quail package for inputting Miscellaneous characters
>
> which is a bit of misnomer, as it only contains input rules for
> the Hanifi Rohingya script. Why did you not give that script its
> own input file, as has been the practice so far?
>
> Also because the Kharoṣṭhī rules are quite numerous, I would
> prefer for them to stay in their own file.
>